Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.keys
Class SpecialKey

    java.lang.Object
      org.eclipse.ui.keys.Key
          org.eclipse.ui.keys.NaturalKey
              org.eclipse.ui.keys.SpecialKey

All Implemented Interfaces:
  Comparable

public final class SpecialKey
extends NaturalKey

Instances of `SpecialKey` represent the keys on keyboard recognized as neither modifier keys nor character keys. These are special control keys specific to computers (e.g., "left arrow", "page down", "F10", etc.). They do not include keys representing letters, numbers or punctuation from a natural language, nor do they include any key that can be represented by a Unicode character (e.g., "backspace").

`SpecialKey` objects are immutable. Clients are not permitted to extend this class.

Since:
  3.0

Field Summary
`static SpecialKey` | `ARROW_DOWN` The single static instance of `SpecialKey` which represents the 'Arrow Down' key.
`static SpecialKey` | `ARROW_LEFT` The single static instance of `SpecialKey` which represents the 'Arrow Left' key.
`static SpecialKey` | `ARROW_RIGHT` The single static instance of `SpecialKey` which represents the 'Arrow Right' key.
`static SpecialKey` | `ARROW_UP` The single static instance of `SpecialKey` which represents the 'Arrow Up' key.
`static SpecialKey` | `BREAK` The single static instance of `SpecialKey` which represents the 'Break' key.
`static SpecialKey` | `CAPS_LOCK` The single static instance of `SpecialKey` which represents the 'Caps Lock' key.
`static SpecialKey` | `END` The single static instance of `SpecialKey` which represents the 'End' key.
`static SpecialKey` | `F1` The single static instance of `SpecialKey` which represents the 'F1' key.
`static SpecialKey` | `F10` The single static instance of `SpecialKey` which represents the 'F10' key.
`static SpecialKey` | `F11` The single static instance of `SpecialKey` which represents the 'F11' key.
`static SpecialKey` | `F12` The single static instance of `SpecialKey` which represents the 'F12' key.
`static SpecialKey` | `F13` The single static instance of `SpecialKey` which represents the 'F13' key.
`static SpecialKey` | `F14` The single static instance of `SpecialKey` which represents the 'F14' key.
`static SpecialKey` | `F15` The single static instance of `SpecialKey` which represents the 'F15' key.
`static SpecialKey` | `F2` The single static instance of `SpecialKey` which represents the 'F2' key.
`static SpecialKey` | `F3` The single static instance of `SpecialKey` which represents the 'F3' key.
`static SpecialKey` | `F4` The single static instance of `SpecialKey` which represents the 'F4' key.
`static SpecialKey` | `F5` The single static instance of `SpecialKey` which represents the 'F5' key.
`static SpecialKey` | `F6` The single static instance of `SpecialKey` which represents the 'F6' key.
`static SpecialKey` | `F7` The single static instance of `SpecialKey` which represents the 'F7' key.
`static SpecialKey` | `F8` The single static instance of `SpecialKey` which represents the 'F8' key.
`static SpecialKey` | `F9` The single static instance of `SpecialKey` which represents the 'F9' key.
`static SpecialKey` | `HOME` The single static instance of `SpecialKey` which represents the 'Home' key.
`static SpecialKey` | `INSERT` The single static instance of `SpecialKey` which represents the 'Insert' key.
`static SpecialKey` | `NUM_LOCK` The single static instance of `SpecialKey` which represents the 'NumLock' key.
`static SpecialKey` | `NUMPAD_0` The single static instance of `SpecialKey` which represents the '0' key on the numpad.
`static SpecialKey` | `NUMPAD_1` The single static instance of `SpecialKey` which represents the '1' key on the numpad.
`static SpecialKey` | `NUMPAD_2` The single static instance of `SpecialKey` which represents the '2' key on the numpad.
`static SpecialKey` | `NUMPAD_3` The single static instance of `SpecialKey` which represents the '3' key on the numpad.
`static SpecialKey` | `NUMPAD_4` The single static instance of `SpecialKey` which represents the '4' key on the numpad.
`static SpecialKey` | `NUMPAD_5` The single static instance of `SpecialKey` which represents the '5' key on the numpad.
`static SpecialKey` | `NUMPAD_6` The single static instance of `SpecialKey` which represents the '6' key on the numpad.
`static SpecialKey` | `NUMPAD_7` The single static instance of `SpecialKey` which represents the '7' key on the numpad.
`static SpecialKey` | `NUMPAD_8` The single static instance of `SpecialKey` which represents the '8' key on the numpad.
`static SpecialKey` | `NUMPAD_9` The single static instance of `SpecialKey` which represents the '9' key on the numpad.
`static SpecialKey` | `NUMPAD_ADD` The single static instance of `SpecialKey` which represents the 'Add' key on the numpad.
`static SpecialKey` | `NUMPAD_DECIMAL` The single static instance of `SpecialKey` which represents the 'Decimal' key on the numpad.
`static SpecialKey` | `NUMPAD_DIVIDE` The single static instance of `SpecialKey` which represents the 'Divide' key on the numpad.
`static SpecialKey` | `NUMPAD_ENTER` The single static instance of `SpecialKey` which represents the 'Enter' key on the numpad.
`static SpecialKey` | `NUMPAD_EQUAL` The single static instance of `SpecialKey` which represents the '=' key on the numpad.
`static SpecialKey` | `NUMPAD_MULTIPLY` The single static instance of `SpecialKey` which represents the 'Multiply' key on the numpad.
`static SpecialKey` | `NUMPAD_SUBTRACT` The single static instance of `SpecialKey` which represents the 'Subtract' key on the numpad.
`static SpecialKey` | `PAGE_DOWN` The single static instance of `SpecialKey` which represents the 'Page Down' key.
`static SpecialKey` | `PAGE_UP` The single static instance of `SpecialKey` which represents the 'Page Up' key.
`static SpecialKey` | `PAUSE` The single static instance of `SpecialKey` which represents the 'Pause' key.
`static SpecialKey` | `PRINT_SCREEN` The single static instance of `SpecialKey` which represents the 'Print Screen' key.
`static SpecialKey` | `SCROLL_LOCK` The single static instance of `SpecialKey` which represents the 'Scroll Lock' key.

Fields inherited from class org.eclipse.ui.keys.Key
`name`

Methods inherited from class org.eclipse.ui.keys.Key
`compareTo, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ARROW_DOWN

    public static final SpecialKey ARROW_DOWN

  The single static instance of `SpecialKey` which represents the 'Arrow Down' key.

### ARROW_LEFT

    public static final SpecialKey ARROW_LEFT

  The single static instance of `SpecialKey` which represents the 'Arrow Left' key.

### ARROW_RIGHT

    public static final SpecialKey ARROW_RIGHT

  The single static instance of `SpecialKey` which represents the 'Arrow Right' key.

### ARROW_UP

    public static final SpecialKey ARROW_UP

  The single static instance of `SpecialKey` which represents the 'Arrow Up' key.

### BREAK

    public static final SpecialKey BREAK

  The single static instance of `SpecialKey` which represents the 'Break' key.

### CAPS_LOCK

    public static final SpecialKey CAPS_LOCK

  The single static instance of `SpecialKey` which represents the 'Caps Lock' key.

### END

    public static final SpecialKey END

  The single static instance of `SpecialKey` which represents the 'End' key.

### F1

    public static final SpecialKey F1

  The single static instance of `SpecialKey` which represents the 'F1' key.

### F10

    public static final SpecialKey F10

  The single static instance of `SpecialKey` which represents the 'F10' key.

### F11

    public static final SpecialKey F11

  The single static instance of `SpecialKey` which represents the 'F11' key.

### F12

    public static final SpecialKey F12

  The single static instance of `SpecialKey` which represents the 'F12' key.

### F13

    public static final SpecialKey F13

  The single static instance of `SpecialKey` which represents the 'F13' key.

### F14

    public static final SpecialKey F14

  The single static instance of `SpecialKey` which represents the 'F14' key.

### F15

    public static final SpecialKey F15

  The single static instance of `SpecialKey` which represents the 'F15' key.

### F2

    public static final SpecialKey F2

  The single static instance of `SpecialKey` which represents the 'F2' key.

### F3

    public static final SpecialKey F3

  The single static instance of `SpecialKey` which represents the 'F3' key.

### F4

    public static final SpecialKey F4

  The single static instance of `SpecialKey` which represents the 'F4' key.

### F5

    public static final SpecialKey F5

  The single static instance of `SpecialKey` which represents the 'F5' key.

### F6

    public static final SpecialKey F6

  The single static instance of `SpecialKey` which represents the 'F6' key.

### F7

    public static final SpecialKey F7

  The single static instance of `SpecialKey` which represents the 'F7' key.

### F8

    public static final SpecialKey F8

  The single static instance of `SpecialKey` which represents the 'F8' key.

### F9

    public static final SpecialKey F9

  The single static instance of `SpecialKey` which represents the 'F9' key.

### HOME

    public static final SpecialKey HOME

  The single static instance of `SpecialKey` which represents the 'Home' key.

### INSERT

    public static final SpecialKey INSERT

  The single static instance of `SpecialKey` which represents the 'Insert' key.

### NUM_LOCK

    public static final SpecialKey NUM_LOCK

  The single static instance of `SpecialKey` which represents the 'NumLock' key.

### NUMPAD_0

    public static final SpecialKey NUMPAD_0

  The single static instance of `SpecialKey` which represents the '0' key on the numpad.

### NUMPAD_1

    public static final SpecialKey NUMPAD_1

  The single static instance of `SpecialKey` which represents the '1' key on the numpad.

### NUMPAD_2

    public static final SpecialKey NUMPAD_2

  The single static instance of `SpecialKey` which represents the '2' key on the numpad.

### NUMPAD_3

    public static final SpecialKey NUMPAD_3

  The single static instance of `SpecialKey` which represents the '3' key on the numpad.

### NUMPAD_4

    public static final SpecialKey NUMPAD_4

  The single static instance of `SpecialKey` which represents the '4' key on the numpad.

### NUMPAD_5

    public static final SpecialKey NUMPAD_5

  The single static instance of `SpecialKey` which represents the '5' key on the numpad.

### NUMPAD_6

    public static final SpecialKey NUMPAD_6

  The single static instance of `SpecialKey` which represents the '6' key on the numpad.

### NUMPAD_7

    public static final SpecialKey NUMPAD_7

  The single static instance of `SpecialKey` which represents the '7' key on the numpad.

### NUMPAD_8

    public static final SpecialKey NUMPAD_8

  The single static instance of `SpecialKey` which represents the '8' key on the numpad.

### NUMPAD_9

    public static final SpecialKey NUMPAD_9

  The single static instance of `SpecialKey` which represents the '9' key on the numpad.

### NUMPAD_ADD

    public static final SpecialKey NUMPAD_ADD

  The single static instance of `SpecialKey` which represents the 'Add' key on the numpad.

### NUMPAD_DECIMAL

    public static final SpecialKey NUMPAD_DECIMAL

  The single static instance of `SpecialKey` which represents the 'Decimal' key on the numpad.

### NUMPAD_DIVIDE

    public static final SpecialKey NUMPAD_DIVIDE

  The single static instance of `SpecialKey` which represents the 'Divide' key on the numpad.

### NUMPAD_ENTER

    public static final SpecialKey NUMPAD_ENTER

  The single static instance of `SpecialKey` which represents the 'Enter' key on the numpad.

### NUMPAD_EQUAL

    public static final SpecialKey NUMPAD_EQUAL

  The single static instance of `SpecialKey` which represents the '=' key on the numpad.

### NUMPAD_MULTIPLY

    public static final SpecialKey NUMPAD_MULTIPLY

  The single static instance of `SpecialKey` which represents the 'Multiply' key on the numpad.

### NUMPAD_SUBTRACT

    public static final SpecialKey NUMPAD_SUBTRACT

  The single static instance of `SpecialKey` which represents the 'Subtract' key on the numpad.

### PAGE_DOWN

    public static final SpecialKey PAGE_DOWN

  The single static instance of `SpecialKey` which represents the 'Page Down' key.

### PAGE_UP

    public static final SpecialKey PAGE_UP

  The single static instance of `SpecialKey` which represents the 'Page Up' key.

### PAUSE

    public static final SpecialKey PAUSE

  The single static instance of `SpecialKey` which represents the 'Pause' key.

### PRINT_SCREEN

    public static final SpecialKey PRINT_SCREEN

  The single static instance of `SpecialKey` which represents the 'Print Screen' key.

### SCROLL_LOCK

    public static final SpecialKey SCROLL_LOCK

  The single static instance of `SpecialKey` which represents the 'Scroll Lock' key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.